Package com.zaxxer.hikari

## Interface SQLExceptionOverride

    public interface SQLExceptionOverride

Users can implement this interface to override the default SQLException handling of HikariCP. By the time an instance of this interface is invoked HikariCP has already made a determination to evict the Connection from the pool. If the `adjudicate(SQLException)` method returns `SQLExceptionOverride.Override.CONTINUE_EVICT` the eviction will occur, but if the method returns `SQLExceptionOverride.Override.DO_NOT_EVICT` the eviction will be elided.

### Nested Class Summary

Nested Classes
`static class` `SQLExceptionOverride.Override`

### Method Summary

All Methods Instance Methods Default Methods
`default SQLExceptionOverride.Override` `adjudicate​(java.sql.SQLException sqlException)` If this method returns `SQLExceptionOverride.Override.CONTINUE_EVICT` then Connection eviction will occur, but if it returns `SQLExceptionOverride.Override.DO_NOT_EVICT` the eviction will be elided.

### Method Detail

#### adjudicate

    default SQLExceptionOverride.Override adjudicate​(java.sql.SQLException sqlException)

If this method returns `SQLExceptionOverride.Override.CONTINUE_EVICT` then Connection eviction will occur, but if it returns `SQLExceptionOverride.Override.DO_NOT_EVICT` the eviction will be elided.

Parameters:
  `sqlException` - the #SQLException to adjudicate
Returns:
  either one of `SQLExceptionOverride.Override.CONTINUE_EVICT` or `SQLExceptionOverride.Override.DO_NOT_EVICT`